summaryrefslogtreecommitdiffstats
path: root/makesubvols.sh
diff options
context:
space:
mode:
Diffstat (limited to 'makesubvols.sh')
-rwxr-xr-xmakesubvols.sh15
1 files changed, 15 insertions, 0 deletions
diff --git a/makesubvols.sh b/makesubvols.sh
new file mode 100755
index 0000000..bb41aac
--- /dev/null
+++ b/makesubvols.sh
@@ -0,0 +1,15 @@
+#!/bin/sh
+set -Ceux
+
+btrfs subvolume create /mnt/@
+btrfs subvolume create /mnt/@/.snapshots
+mkdir /mnt/@/.snapshots/1
+btrfs subvolume create /mnt/@/.snapshots/1/snapshot
+btrfs subvolume create /mnt/@/home
+btrfs subvolume create /mnt/@/opt
+btrfs subvolume create /mnt/@/root
+btrfs subvolume create /mnt/@/srv
+btrfs subvolume create /mnt/@/tmp
+mkdir /mnt/@/usr/
+btrfs subvolume create /mnt/@/usr/local
+btrfs subvolume create /mnt/@/var